Subject: gcc compiler fail - reloc overflow
From: [email-masked] (Kevin Hughes)

21 Nov 1997 18:29:34 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "'g95'" <[email-masked]>

I have been experimenting with the gnu32 tool set. Its very good in general but I have just hit a problem compiling  some c++ code - which works on Sparc/Unixware
 
The file is rather large - but it's all data initialisation. I get the following error

as -o odebug/ocp_pli_sequencer.o C:\TEMP\cc016018.s
as: odebug/ocp_pli_sequencer.o: reloc overflow: 0x18001 > 0xffff
odebug/ocp_pli_sequencer.o: File truncated
C:\TEMP\cc016018.s: Assembler messages:
C:\TEMP\cc016018.s:104237: FATAL: Can't close odebug/ocp_pli_sequencer.o
: File truncated

This occurs with the gcc compiler in the standard distribution AND with the egcs version obtained from Mumit Khan.

Any ideas?

Kevin

PS - I think the problem is associated with the size of the assembler file - its 2.8M. I am now splitting the file and will let you know.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".